import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { NgModule } from '@angular/core';
import { HttpModule } from '@angular/http';
import { FormsModule } from '@angular/forms'; // <-- NgModel lives here
import { MdInputModule } from '@angular/material';

import { AppComponent } from './app.component';
import { ParamInputComponent } from './components/param-input/param-input.component';
import { FieldSetComponent } from './components/field-set/field-set.component';
import { ParamFieldLineComponent } from './components/param-field-line/param-field-line.component';
import { CondDistriComponent } from './calculators/cond_distri/conddistri.component';

@NgModule({
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    FormsModule, // <-- import the FormsModule before binding with [(ngModel)]
    MdInputModule, HttpModule
  ],
  declarations: [
    AppComponent,
    ParamInputComponent,
    FieldSetComponent,
    ParamFieldLineComponent,
    CondDistriComponent
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
