"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var param_service_1 = require("../../services/param/param.service");
var http_service_1 = require("../../services/http/http.service");
var internationalisation_service_1 = require("../../services/internationalisation/internationalisation.service");
var field_set_component_1 = require("../../components/field-set/field-set.component");
var CondDistriComponent = (function () {
    function CondDistriComponent(paramService, httpService, intlService) {
        this.paramService = paramService;
        this.httpService = httpService;
        this.intlService = intlService;
        this._title = "Conduite distributrice";
        this._localisation = {};
        this._config = {};
        this._fieldSets = [];
    }
    CondDistriComponent.prototype.loadLocalisation = function () {
        var ths = this;
        var processData = function (s) {
            // fermeture nécessaire pour capturer la valeur de this (undefined sinon)
            ths._localisation = JSON.parse(s);
            ths.paramService.updateLocalisation(ths._localisation);
        };
        var f = "app/calculators/cond_distri/cond_distri." + this.intlService.languageCode + ".json";
        this.httpService.httpGetRequest(undefined, undefined, undefined, f, processData);
    };
    CondDistriComponent.prototype.logObject = function (obj) {
        console.log(JSON.stringify(obj));
    };
    CondDistriComponent.prototype.parseConfig = function () {
        this._fieldSets = [];
        for (var conf_index in this._config) {
            //this.logObject(this._fieldSets);
            var conf = this._config[conf_index];
            //console.log(conf);
            var conf_id = conf["id"];
            if (conf_id.startsWith("fs_")) {
                var fieldSet = new field_set_component_1.FieldSet();
                fieldSet.title = this._localisation[conf_id];
                var fields = conf["fields"];
                for (var field_index in fields) {
                    var field = fields[field_index];
                    // console.log(field);
                    if (field["type"] === "input") {
                        var input_id = field["id"];
                        // console.log(input_id);
                        var param = this.paramService.getParameter(input_id);
                        if (param != undefined) {
                            //this.logObject(param);
                            fieldSet.params.push(param);
                        }
                    }
                }
                if (fieldSet.params.length > 0) {
                    // this.logObject(fieldSet);
                    this._fieldSets.push(fieldSet);
                }
            }
        }
    };
    CondDistriComponent.prototype.loadConfig = function () {
        var ths = this;
        var processData = function (s) {
            // fermeture nécessaire pour capturer la valeur de this (undefined sinon)
            ths._config = JSON.parse(s);
            ths.parseConfig();
        };
        var f = "app/calculators/cond_distri/cond_distri.config.json";
        this.httpService.httpGetRequest(undefined, undefined, undefined, f, processData);
    };
    CondDistriComponent.prototype.ngOnInit = function () {
        this.loadLocalisation();
        this.loadConfig();
    };
    return CondDistriComponent;
}());
CondDistriComponent = __decorate([
    core_1.Component({
        selector: 'cond-distri',
        template: "\n  <h1>{{_title}}</h1>\n  <field-set *ngFor=\"let fs of _fieldSets\" [fieldSet]=fs></field-set>\n  <!--\n  <field-set *ngFor=\"let fs of _fieldSets\" title=\"fs.title\" fields=\"fs.paramList\"></field-set>\n  <field-set title=\"titre de field set\" fields=\"Q,D\"></field-set>\n  <param-input symbol=\"Q\"></param-input>\n  <param-input symbol=\"Q\"></param-input>\n  <param-input symbol=\"Ks\"></param-input>\n  <field-set title=\"aaaa\"></field-set>\n  -->\n  "
    }),
    __metadata("design:paramtypes", [param_service_1.ParamService, http_service_1.HttpService, internationalisation_service_1.InternationalisationService])
], CondDistriComponent);
exports.CondDistriComponent = CondDistriComponent;
//# sourceMappingURL=conddistri.component.js.map