import { Component, Input, OnInit } from '@angular/core';

import { ParamService } from '../../services/param/param.service';
import { NgParameter } from '../../services/ngparam';

@Component({
    selector: "param-field-line",
    templateUrl: "./param-field-line.html"
})
export class ParamFieldLineComponent {
    private _param: NgParameter;

    /**
     * associated (localised) label
     */
    private _label: string;

    /**
     * Parameter symbol (Q, Ks, B, ...) input attribute
     */
    @Input()
    private set symbol(s: string) {
        this._param = this.paramService.getParameter(s);
        this._label = this._param.label;
    }

    /**
     * Parameter symbol string
     */
    private get symbol(): string {
        return this._param.symbol;
    }

    constructor(private paramService: ParamService) {
    }
}
