"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jalhyd_1 = require("jalhyd");
var ngparam_1 = require("../ngparam");
var ParamService = (function () {
    function ParamService() {
        // this._params = [new ParamDefinition('Q', ParamDomainValue.POS_NULL),
        // new ParamDefinition('Ks', ParamDomainValue.POS)];
        // for (let p of this._params)
        //     p.calculability = ParamCalculability.DICHO;
        this._params = [];
        // précision de calcul
        var pr = new jalhyd_1.ParamDefinition('Pr', jalhyd_1.ParamDomainValue.POS, 0.001);
        this._params.push(new ngparam_1.NgParameter(pr));
        this.addParameters("cond_distri");
    }
    ParamService.prototype.hasParameter = function (symbol) {
        for (var _i = 0, _a = this._params; _i < _a.length; _i++) {
            var p = _a[_i];
            if (p.symbol === symbol)
                return true;
        }
        return false;
    };
    ParamService.prototype.addParameters = function (computeNodeName) {
        var cdp = jalhyd_1.ComputeNodeParameters.getInstance().getComputeNodeParameters(computeNodeName);
        // console.log(cdp);
        for (var pi in cdp) {
            var p = cdp[pi];
            if (!this.hasParameter(p.symbol))
                this._params.push(p);
        }
    };
    ParamService.prototype.getParameter = function (s) {
        for (var _i = 0, _a = this._params; _i < _a.length; _i++) {
            var p = _a[_i];
            if (p.symbol == s)
                return p;
        }
        return undefined;
    };
    ParamService.prototype.updateLocalisation = function (loc) {
        for (var ki in loc) {
            var p = this.getParameter(ki);
            if (p != undefined)
                p.label = loc[ki];
        }
    };
    return ParamService;
}());
exports.ParamService = ParamService;
//# sourceMappingURL=param.service.js.map